package microservice

import "git.ali33.ru/fcg-xvii/go-tools/json"

func NewEvent(data json.Map) *Event {
	return &Event{
		data: data,
	}
}

type Event struct {
	data json.Map
}

func (s *Event) JSONMap() json.Map {
	return json.Map{
		"type": RequestEvent,
		"data": s.data,
	}
}

func (s *Event) Data() json.Map {
	return s.data
}
