package microservice

import "git.ali33.ru/fcg-xvii/go-tools/json"

type RequestType byte

const (
	RequestQuestion RequestType = iota
	RequestEvent
	RequestAnswer
	RequestClose
)

// Data
type Data interface {
	Type() RequestType
	JSONMap() json.Map
}

func MakeQuestion(data json.Map) *Question {
	return &Question{
		data: data,
	}
}
